xfstests: include test subdirectory support
[xfstests-dev.git] / 006
1 #! /bin/bash
2 # FS QA Test No. 006
3 #
4 # permname
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
8 #
9 # This program is free software; you can redistribute it and/or
10 # modify it under the terms of the GNU General Public License as
11 # published by the Free Software Foundation.
12 #
13 # This program is distributed in the hope that it would be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write the Free Software Foundation,
20 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
21 #
22 #-----------------------------------------------------------------------
23 #
24
25 seq=`basename $0`
26 echo "QA output created by $seq"
27
28 here=`pwd`
29 tmp=/tmp/$$
30 status=0        # success is the default!
31 trap "_cleanup; exit \$status" 0 1 2 3 15
32
33 _cleanup()
34 {
35     cd /
36     rm -f $tmp.*
37     rm -rf $testdir/permname.$$
38     _cleanup_testdir
39 }
40
41 _count()
42 {
43     $AWK_PROG '
44         BEGIN   { count = 0 }
45                 { count ++ }
46         END     { print count " files created" }
47     '
48 }
49
50 # get standard environment, filters and checks
51 . ./common.rc
52 . ./common.filter
53
54 # real QA test starts here
55 _supported_fs generic
56 _supported_os IRIX Linux
57
58 _setup_testdir
59
60 mkdir $testdir/permname.$$
61
62 echo ""
63 echo "single thread permname"
64 echo "----------------------"
65 mkdir $testdir/permname.$$/a
66 cd $testdir/permname.$$/a
67 $here/src/permname -c 4 -l 6 -p 1 || echo "permname returned $?"
68 find . | _count
69
70 echo ""
71 echo "multi thread permname"
72 echo "----------------------"
73 mkdir $testdir/permname.$$/b
74 cd $testdir/permname.$$/b
75 $here/src/permname -c 4 -l 6 -p 4 || echo "permname returned $?"
76 find . | _count
77
78 exit